---
id: abtorrents
replaces:
  - audiobooktorrents
name: ABtorrents
description: "ABtorrents (ABT) is a Private Torrent Tracker for AUDIOBOOKS"
language: en-US
type: private
encoding: UTF-8
links:
  - https://usefultrash.net/
legacylinks:
  - https://abtorrents.me/
  - https://abtorrents.xyz/

caps:
  categorymappings:
    - {id: 10, cat: Audio/Audiobook, desc: "Action & Adventure"}
    - {id: 80, cat: Audio/Audiobook, desc: "Adult & Erotica"}
    - {id: 20, cat: Audio/Audiobook, desc: "Biography & Memoirs"}
    - {id: 30, cat: Audio/Audiobook, desc: "Business"}
    - {id: 40, cat: Audio/Audiobook, desc: "Childrens"}
    - {id: 70, cat: Audio/Audiobook, desc: "Computers"}
    - {id: 260, cat: Audio/Audiobook, desc: "Crime & Thriller"}
    - {id: 90, cat: Audio/Audiobook, desc: "Fantasy-General"}
    - {id: 100, cat: Audio/Audiobook, desc: "Fantasy-Youth"}
    - {id: 130, cat: Audio/Audiobook, desc: "General Fiction"}
    - {id: 140, cat: Audio/Audiobook, desc: "Historical Fiction"}
    - {id: 150, cat: Audio/Audiobook, desc: "History"}
    - {id: 160, cat: Audio/Audiobook, desc: "Horror"}
    - {id: 50, cat: Audio/Audiobook, desc: "Humor (Comedy)"}
    - {id: 170, cat: Audio/Audiobook, desc: "Literature"}
    - {id: 175, cat: Audio/Audiobook, desc: "LitRPG"}
    - {id: 180, cat: Audio/Audiobook, desc: "Mystery"}
    - {id: 215, cat: Audio/Audiobook, desc: "Paranormal Romance"}
    - {id: 200, cat: Audio/Audiobook, desc: "Radio Drama"}
    - {id: 205, cat: Audio/Audiobook, desc: "Reference & Educational"}
    - {id: 207, cat: Audio/Audiobook, desc: "Religion & Spirituality"}
    - {id: 210, cat: Audio/Audiobook, desc: "Romance"}
    - {id: 240, cat: Audio/Audiobook, desc: "Sci-Fi Apocalypse"}
    - {id: 220, cat: Audio/Audiobook, desc: "Science"}
    - {id: 230, cat: Audio/Audiobook, desc: "Science Fiction"}
    - {id: 250, cat: Audio/Audiobook, desc: "Self Improvement"}
    - {id: 265, cat: Audio/Audiobook, desc: "Sports & Fitness"}
    - {id: 270, cat: Audio/Audiobook, desc: "Suspense"}
    - {id: 280, cat: Audio/Audiobook, desc: "Talk Radio"}
    - {id: 285, cat: Audio/Audiobook, desc: "Travel"}
    - {id: 290, cat: Audio/Audiobook, desc: "Urban Fantasy & Paranormal"}
    - {id: 300, cat: Audio/Audiobook, desc: "Western"}
    - {id: 310, cat: Audio/Audiobook, desc: "Young Adult"}
    - {id: 400, cat: Books/EBook, desc: "[E] Action & Adventure"}
    - {id: 410, cat: Books/EBook, desc: "[E] Adult & Erotica"}
    - {id: 420, cat: Books/EBook, desc: "[E] Arts & Crafts (Hobbies)"}
    - {id: 430, cat: Books/EBook, desc: "[E] Biography & Memoirs"}
    - {id: 435, cat: Books/EBook, desc: "[E] Business"}
    - {id: 720, cat: Books/EBook, desc: "[E] Childrens"}
    - {id: 450, cat: Books/EBook, desc: "[E] Computer Learning"}
    - {id: 460, cat: Books/EBook, desc: "[E] Cookery"}
    - {id: 470, cat: Books/EBook, desc: "[E] Crime & Thriller"}
    - {id: 480, cat: Books/EBook, desc: "[E] Fantasy"}
    - {id: 490, cat: Books/EBook, desc: "[E] Fantasy-Youth"}
    - {id: 500, cat: Books/EBook, desc: "[E] General Fiction"}
    - {id: 510, cat: Books/EBook, desc: "[E] Historical Fiction"}
    - {id: 520, cat: Books/EBook, desc: "[E] History & Documentary"}
    - {id: 530, cat: Books/EBook, desc: "[E] Horror"}
    - {id: 540, cat: Books/EBook, desc: "[E] Humor (Comedy)"}
    - {id: 560, cat: Books/EBook, desc: "[E] Literary Fiction"}
    - {id: 565, cat: Books/EBook, desc: "[E] LitRPG"}
    - {id: 570, cat: Books/EBook, desc: "[E] Mystery"}
    - {id: 590, cat: Books/EBook, desc: "[E] Paranormal Romance"}
    - {id: 600, cat: Books/EBook, desc: "[E] Reference & Educational"}
    - {id: 610, cat: Books/EBook, desc: "[E] Religion & Spirituality"}
    - {id: 620, cat: Books/EBook, desc: "[E] Romance"}
    - {id: 630, cat: Books/EBook, desc: "[E] Sci-Fi"}
    - {id: 640, cat: Books/EBook, desc: "[E] Sci-Fi & Apocalyptic"}
    - {id: 645, cat: Books/EBook, desc: "[E] Science"}
    - {id: 650, cat: Books/EBook, desc: "[E] Self-Help"}
    - {id: 660, cat: Books/EBook, desc: "[E] Sports & Fitness"}
    - {id: 665, cat: Books/EBook, desc: "[E] Suspense"}
    - {id: 670, cat: Books/EBook, desc: "[E] Travel"}
    - {id: 690, cat: Books/EBook, desc: "[E] Urban Fantasy & Paranormal"}
    - {id: 700, cat: Books/EBook, desc: "[E] Western"}
    - {id: 710, cat: Books/EBook, desc: "[E] Young Adult"}

  modes:
    search: [q]
    book-search: [q]

settings:
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: info_results
    type: info
    label: Search results
    default: "If you are getting the error <b>Login Failed, got redirected</b> then access the site with your browser and <b>mark as read</b> all PMs."
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Account retention rules:<ol><li>Any account that has unread PMs older than 14 days or has not logged in for 30 days will be suspended</li><li>Any account that has not been logged into for 90 days is deemed inactive and will thus be purged</li><li>Any account that has not been logged into for 30 days is deemed inactive and will be put on suspension until User logs in again</li><li>User’s stats, points, and history are irrevocably lost when purged</li><li>Logging into the site is the ONLY way to keep an account active</li><li>SEEDING ONLY does NOT constitute site activity.</li></ol>"

login:
  # using cookie method because login page simplecaptcha generates Exception: Cannot access child value on Newtonsoft.Json.Linq.JValue.
  method: cookie
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: index.php
    selector: a[href*="logout.php?hash_please="]

search:
  paths:
    - path: browse.php
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
    # title, descr, series, additional_info, author, author, uploader
    searchin: title
    # 0 active, 1 incldead, 2 onlydead, 3 My Unsatisfied Torrents, 4 My Watch List, 5 My Uploads
    incldead: 1
    # 0 All Torrents, 1 Only Free Torrents
    only_free: "{{ if .Config.freeleech }}1{{ else }}0{{ end }}"

  rows:
    selector: table.browse.table.striped > tbody > tr:has(a[href^="download.php?torrent="])

  fields: # some users (rank specific?) have an extra column (td:nth-child(4)) with bookmark features
    category:
      selector: a[href^="browse.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="details.php?id="]
      remove: span.has-text-red
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php?torrent="]
      attribute: href
    poster:
      selector: img[src^="/img.php?"]
      attribute: src
    files:
      selector: a[href^="filelist.php?id="]
    date_day:
      # auto adjusted by site account profile
      # Yesterday 6:00 AM
      selector: td:nth-last-child(2) > div:contains("day")
      optional: true
      filters:
        - name: fuzzytime
    date_year:
      # auto adjusted by site account profile
      # Aug 6 2021 7:25 PM
      selector: td:nth-last-child(2) > div:not(:contains("day"))
      optional: true
      filters:
        - name: dateparse
          args: "MMM d yyyyh:mm tt"
    date:
      text: "{{ if or .Result.date_day .Result.date_year }}{{ or .Result.date_day .Result.date_year }}{{ else }}now{{ end }}"
    size:
      selector: td:nth-last-child(4) div[title^="Size"]
    grabs:
      selector: a[href^="snatches.php?id="]
    seeders:
      selector: a[title$="Seeders"]
      optional: true
      default: 0
    leechers:
      selector: a[title$="Leechers"]
      optional: true
      default: 0
    downloadvolumefactor:
      case:
        tr.freeleech_color: 0
        "*": 1
    uploadvolumefactor:
      text: 1
    minimumseedtime:
      # 14 days (as seconds = 14 x 24 x 60 x 60)
      text: 1209600
# U-232 V4.5
